Get Schema
curl --request GET \
--url https://api.example.com/v1/workspaces/{workspace_id}/catalogs/{catalog_id}/schemas/{schema_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/workspaces/{workspace_id}/catalogs/{catalog_id}/schemas/{schema_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/workspaces/{workspace_id}/catalogs/{catalog_id}/schemas/{schema_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"spec": {
"relational": {
"connector": "<string>",
"sourceCatalog": "<string>",
"sourceSchema": "<string>",
"snapshot": {
"tables": {}
}
}
},
"createTime": "<string>",
"updateTime": "<string>",
"revision": "0",
"revisionHash": ""
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}schema
Get Schema
GET
/
v1
/
workspaces
/
{workspace_id}
/
catalogs
/
{catalog_id}
/
schemas
/
{schema_id}
Get Schema
Authorizations
An API key or OAuth2/OIDC access token sent as Authorization: Bearer <token>.
Response
Successful Response
A SQL-visible schema owned by its parent catalog.
Resource name in the form
workspaces/{workspace}/catalogs/{catalog}/schemas/{schema}.
The terminal resource ID is the SQL-visible schema name.
Pattern:
^workspaces/[a-z0-9](?:[a-z0-9._~-]*[a-z0-9])?/catalogs/[a-z][a-z0-9_]{0,62}/schemas/[a-z][a-z0-9_]{0,62}$Definition used to construct this schema.
Show child attributes
Show child attributes
Time at which the schema was created.
Time at which the schema was most recently updated.
Monotonically increasing revision of this schema definition.
Lowercase SHA-256 hash of the canonical stored schema definition.